Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sip_interface_st Struct Reference

## Data Fields
void(* | init )(sip_state *s, const uint8_t *key)
void(* | update )(sip_state *s, const uint8_t *data, size_t len)
void(* | final )(sip_state *s, uint64_t *digest)

## Detailed Description

Definition at line 140 of file siphash.c.

## Field Documentation

void(* sip_interface_st::final)(sip_state *s, uint64_t *digest)

Definition at line 143 of file siphash.c.

Referenced by sip_hash_final(), and sip_hash_final_integer().

void(* sip_interface_st::init)(sip_state *s, const uint8_t *key)

Definition at line 141 of file siphash.c.

Referenced by sip_hash_init().

void(* sip_interface_st::update)(sip_state *s, const uint8_t *data, size_t len)

Definition at line 142 of file siphash.c.

Referenced by sip_hash_update().

The documentation for this struct was generated from the following file:

- siphash.c